Bug Hunting Session
Bug 72764 - Copying from MS Word document opened in Writer and then pasting as HTML in a new document causes a crash
Summary: Copying from MS Word document opened in Writer and then pasting as HTML in a ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2013-12-16 17:21 UTC by Johnny Baloney
Modified: 2014-09-15 22:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
An example simple MS Word document to copy from. (17.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-16 17:21 UTC, Johnny Baloney
Details
Bug 72764 - WinDbg session (49.33 KB, text/plain)
2013-12-21 12:27 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johnny Baloney 2013-12-16 17:21:59 UTC
Created attachment 90844 [details]
An example simple MS Word document to copy from.

Steps to reproduce:

1. Open the attached copy_me.docx document in Writer 4.1.3.2.
2. Select all text (Ctrl+a) and copy (Ctrl+p).
3. Create a new document (Ctrl+n).
4. Paste special as HTML (Ctrl+Shift+v then select HTML).
5. Writer crashes.


In 4.0.2.2 it would also crash when pasting as RTF but in 4.1.3.2 pasting as RTF works fine.


Linux Fedora 18 (Spherical Cow) 3.9.4-200.fc18.x86_64
Comment 1 bfoman (inactive) 2013-12-21 12:27:32 UTC
Created attachment 91083 [details]
Bug 72764 - WinDbg session

Confirmed with:
Version: 4.2.0.1
Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a
Windows 8.1 Enterprise Preview 64 bit

Attached full WinDbg session.
Comment 2 bfoman (inactive) 2013-12-21 12:28:33 UTC
NEW as bug confirmed and bt attached.
Comment 3 retired 2013-12-21 15:38:24 UTC
OS is ALL.
Comment 4 Johnny Baloney 2014-09-15 22:50:36 UTC
Followed the steps in Version: 4.3.1.2 Build ID: 958349dc3b25111dbca392fbc281a05559ef684

Appears to be fixed.